Search
K
Policy Transactions

Get restriction alerts for a policy

Returns the restriction alert aggregate from TDS. When none exists, response body is {}.
Kong rewrites this path to /bpm/v1/policies/{planCode}/{policyNumber}/Restrict.

get

Path Parameters

planCodestringrequired

Plan code

Example:EVGFIA909

policyNumberstringrequired

Policy number

Example:EVFIA09222243202

Response

application/json

Alert aggregate or empty object when no TDS record exists

One Of
policyNumberstring
planCodestring
correlationIdstring
alertsarray[object]

One restriction alert lifecycle record in TDS

Show Child Parameters
get/policy/v1/transactions/{planCode}/{policyNumber}/Restrict
 
application/json

Get restriction alerts for a policy

Returns the restriction alert aggregate from TDS. When none exists, response body is {}.
Kong rewrites this path to /bpm/v1/policies/{planCode}/{policyNumber}/Restrict/alerts.

get

Path Parameters

planCodestringrequired

Plan code

Example:EVGFIA909

policyNumberstringrequired

Policy number

Example:EVFIA09222243202

Response

application/json

Alert aggregate or empty object when no TDS record exists

One Of
policyNumberstring
planCodestring
correlationIdstring
alertsarray[object]

One restriction alert lifecycle record in TDS

Show Child Parameters
get/policy/v1/transactions/{planCode}/{policyNumber}/Restrict/alerts
 
application/json

Eligibility Check For Non-Financial Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

transactionTypestringrequired

Transaction Type

Allowed values:addressemailaddressphonebankaccountcommunicationpreference

Response

application/json

Non Financial Eligibility Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/bpm/v1/policies/{planCode}/{policyNumber}/{transactionType}/eligibilitycheck
 
application/json

Eligibility Check Bank Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

Bank Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/bankaccount/eligibilitycheck
 
application/json

Party Change request

Validate Business Rules for Payee/Payor/Owner/TPD/Beneficiary and Add new Payee/Payor/Owner/ThirdPartyDesignee/PrimaryBeneficiary/ContingentBeneficiary based on the request

post

Path Parameters

planCodestringrequired
policyNumberstringrequired
partyIdstringrequired
partyRolestringrequired

Party for which details are being entered. Possible values are - Owner, Payor, Payee, PrimaryBeneficiary, ContingentBeneficiary, ThirdPartyDesignee

Allowed values:PayeePayorOwnerThirdPartyDesigneePrimaryBeneficiaryContingentBeneficiary

Example:Owner

Body

application/json

PartyChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:5df63b47-54fc-4905-a8ff-e1c5f12e667d

effectiveDatestring(date)required

Date the Party was added to the Policy

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

customerIdstring

TBD

Example:0017b000010N4bCAAS

relationshipToInsuredstring

Option available for Owner, Payor, TPD and Beneficiary

Allowed values:TRUSTEETRUSTEEOFMINORTRUSTEEOFINCOMPETENTPOWEROFATTORNEYCONTROLLINGPERSONOFENTITYBROTHERCHILDDAUGHTERDOMESTICPARTNEREXECUTORSFATHERFIANCEGRANDCHILDLIFEPARTNERMOTHERSISTERSONSPOUSESTEPFATHERSTEPMOTHERSELFOTHER

partyobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

deleteRequestboolean

Flag for delete or update request. If flag==true then Delete Request else Update Request

Default:false

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/{partyRole}/validation

Body

{ "effectiveDate": "effectiveDate", "party": {} }
 
application/json